<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>

	<record id="feosco_promotion_product_tree" model="ir.ui.view">
            <field name="name">feosco.promotion.product.tree</field>
            <field name="model">feosco.promotion.product</field>
            <field name="arch" type="xml">
                <tree string="Danh sách sản phẩm">
                    <field name="name" string="Tên sản phẩm"/>
                    <field name="company_id" string="Doanh nghiệp"/>
                    <field name="profile_id" string="Chương trình"/>
                    <field name="quantiy" string="Số lượng"/>
                    <field name="total_value" string="Tổng giá trị"/>
                    <field name="type" string="Loại"/>
                    <field name="from_date" string="Từ ngày"/>
                    <field name="to_date" string="Đến ngày"/>
                    <field name="state" string="Trạng thái"/>
                    <button name="approve" string="Duyệt" type="object" class="oe_highlight"
							states="new" icon="gtk-apply" />
					<button name="set_to_new" string="Mở lại" type="object" class="oe_highlight"
							states="cancel,approved" icon="STOCK_JUMP_TO" />
					<button name="cancel" string="Hủy" type="object" class="oe_highlight"
							states="new,approved" icon="STOCK_CANCEL" />
                </tree>
            </field>
        </record>
       <!--  -->
        <record id="feosco_promotion_product_form" model="ir.ui.view">
            <field name="name">feosco.promotion.product.form</field>
            <field name="model">feosco.promotion.product</field>
            <field name="arch" type="xml">
                <form string="Sản phẩm">
                	<header>
                		<field name="state" widget="statusbar"/>
                	</header>
	                <sheet string="Hồ sơ khuyến mãi">
	                	<div class="oe_left" style="width: 500px;">
                            <field name="image" widget="image" class="oe_avatar oe_left"/>
                            <div class="oe_title" style="width: 390px;">
                                <label class="oe_edit_only" for="name" string="Tên sản phẩm"/>
                                <h1><field name="name" class="oe_inline"/></h1>
                            </div>
                        </div>
                        <group>
	                       	<group>
	                       	   <field name="type" class="oe_inline"/>
	                       	   <field name="company_id" class="oe_inline"/>
	                       	   <field name="profile_id" class="oe_inline" readonly="1"/>
	                         </group>
	                         <group>
	                         	<field name="from_date" class="oe_inline"/>
	                         	<field name="to_date" class="oe_inline"/>
	                         	<field name="quantiy" string="Số lượng"/>
	                         	<field name="total_value" string="Tổng giá trị"/>
	                         </group>
                         </group>
	                </sheet>
                </form>
            </field>
        </record>
        
        <record id="feosco_promotion_product_filter" model="ir.ui.view">
            <field name="name">feosco.promotion.product.select</field>
            <field name="model">feosco.promotion.product</field>
            <field name="arch" type="xml">
                <search string="Tìm kiếm cục hải quan">
                    <field name="name" string="Tên sản phẩm"/>
                    <field name="company_id" string="Doanh nghiệp"/>
                    <field name="profile_id" string="Chương trình"/>
                    <field name="quantiy" string="Số lượng"/>
                    <field name="type" string="Loại"/>
                    <field name="from_date" string="Từ ngày"/>
                    <field name="to_date" string="Đến ngày"/>
                    <field name="state" string="Trạng thái"/>
                    <group expand="0" string="Nhóm theo">
                    	<filter name="group_by_company_id" string="Doanh nghiệp" domain="[]" context="{'group_by':'company_id'}"/>
                    	<filter name="group_by_profile_id" string="Hình thức khuyến mãi" domain="[]" context="{'group_by':'profile_id'}"/>
                    	<filter name="group_by_type" string="Loại sản phẩm" domain="[]" context="{'group_by':'type'}"/>
                    </group>
                </search>
            </field>
        </record>
        
         <record id="open_view_feosco_promotion_product" model="ir.actions.act_window">
             <field name="name">Sản phẩm</field>
             <field name="res_model">feosco.promotion.product</field>
             <field name="view_type">form</field>
             <field name="domain">[]</field>
             <field name="view_mode">tree,form</field>
             <field name="view_id" ref="feosco_promotion_product_tree"/>
             <field name="search_view_id" ref="feosco_promotion_product_filter"/>
         </record>
         
        
    </data>
</openerp>